Bug 1811214 - Sound card not detected on HP Spectre x360 13-aw0xxx
Summary: Sound card not detected on HP Spectre x360 13-aw0xxx
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-06 21:08 UTC by severin
Modified: 2021-05-25 15:45 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 15:45:45 UTC
Type: Bug


Attachments (Terms of Use)
dmesg.txt (111.76 KB, text/plain)
2020-03-06 21:08 UTC, severin
no flags Details

Description severin 2020-03-06 21:08:03 UTC
Created attachment 1668220 [details]
dmesg.txt

The laptop sound card is not detected (alsa-info.sh returns `alsactl: save_state:1595: No soundcards found...`)


2. What is the Version-Release number of the kernel:


$ uname -a
Linux hiccup 5.6.0-0.rc4.git0.1.fc32.x86_64 #1 SMP Mon Mar 2 22:32:50 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Speakers (but not the microphone) worked correctly on Fedora 31 (successfully tested with kernel 5.3 and 5.5).

Note however, the same issue has been experience on Ubuntu 19.10 and 20.04, with kernels 5.3 and 5.5 respectively (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1865571). So the issue does not seem to be directly linked to the kernel version.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

The issue (no sound) is always reproduced.


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


Not tried.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

dmesg.txt attached.

The relevant section is:

```
ar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: enabling device (0000 -> 0002)
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: use msi interrupt mode
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: hda codecs found, mask 5
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: using HDA machine driver skl_hda_dsp_generic now
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: Direct firmware load for intel/sof/sof-icl.ri failed with error -2
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: error: request firmware intel/sof/sof-icl.ri failed err: -2
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: error: failed to load DSP firmware -2
Mar 06 20:52:38 kernel: sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -2
```

Comment 1 Fedora Program Management 2021-04-29 16:13:46 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-05-25 15:45:45 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.